## dh-fortran 0.45

=== tests/Makefile ===
include ../fortran-support.mk

all:
	@echo FC_DEFAULT $(FC_DEFAULT) FC_OPTIONAL $(FC_OPTIONAL) FC  $(FC) F77 $(F77)
	@echo
	@echo "get_fmoddir,FC_DEFAULT-> "  $(call get_fmoddir,$(FC_DEFAULT))
	@echo "get_fmoddir,FC-> "  $(call get_fmoddir,$(FC))
	@echo
	@echo
	@echo "get_fc_exe,gfortran -> "  $(call get_fc_exe,$(FC_DEFAULT))
	@echo "get_fc_exe,FC-> "  $(call get_fc_exe,$(FC))
	@echo
	@echo "get_fc_vendor,gfortran -> "  $(call get_fc_vendor,$(FC_DEFAULT))
	@echo "get_fc_vendor,flang18-> "  $(call get_fc_vendor,flang18)
	@echo "get_fc_vendor,FC-> "  $(call get_fc_vendor,$(FC))
	echo $(FAM)
	for f in $(FC_DEFAULT) $(FC_OPTIONAL) ; do \
		echo $$f $(call get_fc_vendor,$$f) ; done
	
COMPS=$(FC_DEFAULT) $(FC_OPTIONAL)
VENDOR=$(foreach f, echo $(COMPS), $(call get_fc_vendor,$(f)))
	
vendor:
	echo $(COMPS)
	#echo $(foreach f, echo $(COMPS), $(call get_fc_vendor,$(f)))
	for f in `seq $(words $(COMPS)) | xargs` ; do \
		echo $$f $(eval $(word $$f, $(COMPS))) ; \
	done
#echo foo bar $(word $$f, $(COMPS)) $(word $$f, $(VENDOR)) ; 

flags:
	@echo FCFLAGS for flang18: $(call get_fcflags,flang18)
	@echo FCFLAGS $(FCFLAGS)
	@echo $(filter-out -ffile-pref.*, $(FCFLAGS))
	for f in $(FC_DEFAULT) $(FC_OPTIONAL) ; do \
		echo $$f $(call get_fflags,$$f) ; done


# Setup .mod files for tests
setup: gfortran-14

#clean:
	rm */*.mod

=== debian/changelog ===
dh-fortran (0.45) experimental; urgency=medium

  * Change name to 'dh-fortran'
  * Support get_fc_vendor() to fortran-support.mk
  * Add more default code to fortran-support.mk for dh_*_fortran_templates
  * Add --preferred behavour to dh_fortran_lib
  * Add initial dh_fortran python wrapper script
  * Start python implementation

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jul 2025 09:44:16 +0100

dh-fortran-mod (0.44) experimental; urgency=medium

  * Fix fortran-support.mk typo.
  * Behaviour of fortran-support.mk now works better with FC=f77;
  * get_fcflags() now defined
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Jun 2025 15:01:46 +0100

dh-fortran-mod (0.43) unstable; urgency=medium

  * Standards-Version: 4.7.1
  * fortran-support.mk: missing brace. Closes: #1098525

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Feb 2025 12:05:56 +0000

dh-fortran-mod (0.42) unstable; urgency=medium

  * Add support for gfortran-15
  * Add support for flang20

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Feb 2025 12:29:44 +0000

dh-fortran-mod (0.41) unstable; urgency=medium

  * More support changes needed for gfortran-14

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Aug 2024 09:34:54 +0100

dh-fortran-mod (0.40) unstable; urgency=medium

  * Standards-Version: 4.7.0; no changes required
  * Move to gfortran-14 as the default compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Aug 2024 13:47:03 +0100

dh-fortran-mod (0.39) unstable; urgency=medium

  * Commit didn't get included.. Redo Closes: #1062809

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Feb 2024 07:31:22 +0000

dh-fortran-mod (0.38) unstable; urgency=medium

  * Fix typo that breaks builds. Closes: #1062809
  * Add flang19, gfortran14 support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Feb 2024 22:08:38 +0000

dh-fortran-mod (0.37) unstable; urgency=medium

  * Initial dh_fortran_lib, simple cases only
  * Fix for dh_fortran_mod; don't produce deps on flang-7,
  * Override dh_dwz in fortran-support.mk as its broken by patchelf,
    used in dh_fortran_lib
  * dh_fortran_mod: now support gfortran-14

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Jan 2024 06:48:51 +0000

dh-fortran-mod (0.36) unstable; urgency=medium

  * Bugfix: mod files can be misidentified as c++
  * debhelper-interaction test: fix cwd

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jan 2024 18:21:25 +0000

dh-fortran-mod (0.35) unstable; urgency=medium

  * Drop pkg-gfortran test as defunct for now
  * Bugfix foreach_fc_execute_after; remove foreach_fc

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Jan 2024 20:16:28 +0000

dh-fortran-mod (0.34) unstable; urgency=medium

  * Start dh_fortran_libs
  * Add foreach_fc_execute_{before,after} macros
  * Add experimental flang18

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 07:23:56 +0000

dh-fortran-mod (0.33) unstable; urgency=medium

  * Fixes for fortran-support.mk: whitespace issue and typo
  * foreach_fc(): for automated compiler build support

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Jan 2024 15:16:47 +0000

dh-fortran-mod (0.32) unstable; urgency=medium

  * Remove troublesome quotes around function returns
  * Add lfortran support
  * Define FC_OPTIONAL in fortran-support.mk
  * Return sane defaults for external FC in fortran-support.mk
  * Add TODO.md, test Makefile
  * Change misc:Depends to fortran:Depends in dh-fortran-mod

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 12:36:47 +0000

dh-fortran-mod (0.31) unstable; urgency=medium

  * Provide dh-sequence-fortran as we do more than mod files now
  * Depend on gfortran | fortran-compiler to simplify build-deps
  * Add detection code  for flang-external-fc-, flang-new-*
  * Update documentation in dh_fortran_mod
  * fortran-support.mk: (experimental)
     - add get_fmoddir, get_flibdir, get_fc_exe functions

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Dec 2023 13:03:26 +0000

dh-fortran-mod (0.30) unstable; urgency=medium

  * Update more references to /usr/include

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Dec 2023 08:46:46 +0000

dh-fortran-mod (0.29) unstable; urgency=medium

  * Add fortran-support.mk helper script for d/rules. Experimental
  * Set fmoddir to /usr/include, not /usr/lib

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Dec 2023 16:57:34 +0000

dh-fortran-mod (0.28) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Add support for gfortran-12

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Jun 2023 14:33:57 +0100

dh-fortran-mod (0.27) unstable; urgency=medium

  * Silently ignore failure to delete non-existent directories in postrm
    Closes: #1019050

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2022 14:27:19 +0100

dh-fortran-mod (0.26) unstable; urgency=medium

  * Ignore errors on rm cruft files in preinst

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 20:58:31 +0100

dh-fortran-mod (0.25) unstable; urgency=medium

  * Don't create links 'gfortran-*' without arch base when compiler
    not installed. Clean up cruft from doing so before
  * Close old fixed bug. Closes: #1013316

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 17:43:35 +0100

dh-fortran-mod (0.24) unstable; urgency=medium

  * Drop gcc-transition workk for now as it blocks the tbb transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jun 2022 16:20:17 +0100

dh-fortran-mod (0.23) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * Forrce Build-depend on gfortran-12 for gcc-12 transition.
    Then rebuild deps with this version.	

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2022 10:07:17 +0100

dh-fortran-mod (0.22) unstable; urgency=medium

  * Add support for gfortran-12

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Apr 2022 18:40:50 +0100



=== debian/control ===
Source: dh-fortran
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
 Alastair McKinstry <mckinstry@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest

Package: dh-fortran
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
   ${misc:Depends},
   debhelper (>= 13),
    ${python3:Depends},
   gfortran | fortran-compiler,
   patchelf,
   libio-compress-perl,
   libfile-libmagic-perl
Enhances: debhelper
Replaces: dh-fortran-mod
Provides: dh-sequence-fortran-mod, dh-sequence-fortran, dh-fortran-mod
Description: debhelper add-ons to handle Fortran '.mod' files and libraries
 Modules were introduced in the 1990 revision of the Fortran standard. When the
 Fortran compiler processes a source file containing a module, it produces both
 an object file and a '.mod' file. The latter plays a role similar to header
 files in C, since it is needed when compiling other source files which make
 use of the module.
 .
 The '.mod' files are however platform dependent, and their format changes with
 the gfortran version.
 .
 This package provides the dh_fortran_mod command, which simplifies the
 inclusion of '.mod' files in binary packages. First, it places the '.mod'
 files in the correct platform- and gfortran-dependent location. Second, it
 adds the right dependency information on gfortran version(s).
 .
 Inclusion of dh_fortran_mod in dh sequence is also provided under the name
 'fortran_mod'.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=dhfortran

%:
	dh $@  --buildsystem=pybuild

dh_fortran_mod:dh_fortran_mod.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

dh_fortran_lib: dh_fortran_lib.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

dh_fortran_mod.1: dh_fortran_mod
	pod2man -r "dh_fortran_mod v$(DEB_VERSION)" -c "dh-fortran-mod" --section=1 $< $@

dh_fortran_lib.1: dh_fortran_lib
	pod2man -r "dh_fortran_lib v$(DEB_VERSION)" -c "dh-fortran-lib" --section=1 $< $@

override_dh_auto_build: dh_fortran_mod dh_fortran_lib
override_dh_auto_build: dh_fortran_mod.1 dh_fortran_lib.1
override_dh_auto_build:
	dh_auto_build

override_dh_auto_clean:
	$(RM) dh_fortran_mod dh_fortran_mod.1
	$(RM) dh_fortran_lib  dh_fortran_lib.1
	-rm -rf build dh_fortran.egg-info

=== debian/tests/control ===
Tests:  debhelper-interaction
Depends: dh-fortran, gfortran

# TODO: Tests for preinst, postinst files

=== debian/tests/pkg/debian/control ===
Source: dh-fortran-mod-dummy
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.5.1

Package: pkg
Architecture: all
Description: Dummy pkg for testing dh-fortran-mod
Depends: ${misc:Depends}

## dh-fortran 0.56

=== debian/changelog ===
dh-fortran (0.56) unstable; urgency=medium

  * First upload of dh-fortran to unstable, with dh-fortran-mod as a
    transitional package

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Nov 2025 10:55:31 +0000

dh-fortran-mod (0.55) unstable; urgency=medium

  * Add get_fmoddir, get_flibdir helpers

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Oct 2025 12:49:50 +0000

dh-fortran-mod (0.54) unstable; urgency=medium

  * Use DEB_HOST_GNU_TYPE in compiler name, not multiarch;
    they differ on i386. Closes: #1118734

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Oct 2025 10:39:21 +0100

dh-fortran-mod (0.53) unstable; urgency=medium

  * Don't break on dh params buildsystem, etc
  * More robustness checks on bad input

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Oct 2025 12:30:45 +0100

dh-fortran-mod (0.52) unstable; urgency=medium

  * Also change the dh-fortran dep in tests

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Oct 2025 09:55:08 +0100

dh-fortran-mod (0.51) unstable; urgency=medium

  * Allow *.fortran-* files be executable scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2025 08:55:43 +0100

dh-fortran-mod (0.50) unstable; urgency=medium

  * Handle -O--no-parallel sensibly

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Oct 2025 12:07:53 +0100

dh-fortran-mod (0.49) unstable; urgency=medium

   * Depend on gfortran; gfortran-for-host not sufficient and breaks
     meson builds

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:17:16 +0100

dh-fortran-mod (0.48) unstable; urgency=medium

  * Ensure python3-magic is present
  * Don't create symlink if src==dest in dh_fortran_lib

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Oct 2025 08:08:02 +0100

dh-fortran-mod (0.47) unstable; urgency=medium

  * Fix for -p support in dh_fortran scripts
  * Fix symlinks in dh_fortran_lib

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Oct 2025 11:58:33 +0100

dh-fortran-mod (0.46) unstable; urgency=medium

  * Complete Python reimplementation.
  * Temporarily revert to 'dh-fortran-mod' until rename passes NEW
  * Add dh_fortran_pkgconf
  * Fixes to directories and installation file tracking for dh_fortan_mod,
    dh_fortran_lib
  * Rework package structure to get tests working
  * Build-dep on pybuild-plugin-pyproject, python3-setuptools

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Oct 2025 07:15:27 +0100

=== debian/control ===
Source: dh-fortran
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
 Alastair McKinstry <mckinstry@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-magic,
 python3-pytest <!nocheck>,
 gfortran | fortran-compiler, 
 click-man
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran
Vcs-Git: https://salsa.debian.org/science-team/dh-fortran.git -b debian/latest

Package: dh-fortran
Architecture: any 
Depends: ${perl:Depends},
   debhelper (>= 13),
   ${misc:Depends},
   python3, ${python3:Depends},
   python3-magic,
   fortran-fpm,
   gfortran | fortran-compiler,
   patchelf,
   libio-compress-perl,
   libfile-libmagic-perl
Enhances: debhelper
Replaces: dh-fortran-mod
Provides: dh-sequence-fortran-mod, dh-sequence-fortran, dh-fortran-mod
Description: debhelper add-ons for packaging software written in Fortran
 dh-fortran provides a debhelper sequence addon named 'fortran', a buildsystem
 module named 'fortran' and set of helper commamnds dh_fortran*
 .
 The fortran buildsystem simplifies building packages that use the
 Fortran Package Manager (fortran-fpm).
 .
 The build helper scripts enable Fortran libraries to be built in parallel
 for multiple Fortran compilers.

Package: dh-fortran-mod
Depends: dh-fortran, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=dhfortran
export DEB_BUILD_OPTIONS:= nocheck

%:
	dh $@  --buildsystem=pybuild

dh_fortran_mod_old:dh_fortran_mod.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

dh_fortran_lib_old: dh_fortran_lib.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

#dh_fortran_mod.1: dh_fortran_mod
#	pod2man -r "dh_fortran_mod v$(DEB_VERSION)" -c "dh-fortran-mod" --section=1 $< $@

#dh_fortran_lib.1: dh_fortran_lib
#	pod2man -r "dh_fortran_lib v$(DEB_VERSION)" -c "dh-fortran-lib" --section=1 $< $@

override_dh_auto_build: dh_fortran_mod_old dh_fortran_lib_old
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C modfiles all
	cp -a modfiles build/lib/dhfortran/tests

override_dh_installman:
	PYTHONPATH=$(CURDIR) click-man dh_fortran  --target debian/dh-fortran/usr/share/man/man1
	#PYTHONPATH=$(CURDIR) click-man dh_fortran_cmake --target debian/dh-fortran/usr/share/man/man1
	#PYTHONPATH=$(CURDIR) click-man dh_fortran_pkgconf --target debian/dh-fortran/usr/share/man/man1
	#PYTHONPATH=$(CURDIR) click-man dh_fortran_mod --target debian/dh-fortran/usr/share/man/man1
	#PYTHONPATH=$(CURDIR) click-man dh_fortran_lib --target debian/dh-fortran/usr/share/man/man1
	dh_installman -O--buildsystem=pybuild

# Undo pybuild choices. TODO: Fix this in pyproject.toml ?
execute_after_dh_auto_install:
	mkdir -p debian/tmp/usr/share/dh-fortran
	cp debian/python3-dhfortran/usr/bin/* debian/tmp/usr/share/dh-fortran
	cp -a debian/python3-dhfortran/usr/lib/python3*/dist-packages/dhfortran debian/tmp/usr/share/dh-fortran

override_dh_auto_clean:
	$(MAKE) -C modfiles clean
	$(RM) dh_fortran_mod_old
	$(RM) dh_fortran_lib_old
	-rm -rf build dh_fortran.egg-info dhfortran/__pycache__ debian/python3-dhfortran

## dh-fortran 0.57

=== debian/changelog ===
dh-fortran (0.57) unstable; urgency=medium

  * Add dep on python3-click. Closes: #1120547

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Nov 2025 08:20:53 +0000

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
    ${misc:Depends},
    python3, ${python3:Depends},
    python3-magic,
+   python3-click,
    fortran-fpm,
    gfortran | fortran-compiler,
    patchelf,

=== debian/tests/control ===
Tests:  debhelper-interaction
Depends: dh-fortran-mod, gfortran

# TODO: Tests for preinst, postinst files

## dh-fortran 0.58

=== debian/changelog ===
dh-fortran (0.58) unstable; urgency=medium

  * fpm support when buildsystem=fortran
  * Also include a symlink for .so file with prefix

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Dec 2025 14:42:36 +0000

## dh-fortran 0.59

=== debian/changelog ===
dh-fortran (0.59) unstable; urgency=medium

  * Drop debugging breakpoint

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Dec 2025 15:19:55 +0000

## dh-fortran 0.60

=== dhfortran/modfiles/Makefile ===
all: gfortran-14 gfortran-15 flang-new-18 flang-ext-18 flang-new-19 flang-new-20 flang-21 lfortran
		
clean:
	rm -rf gfortran-* flang-new-*

gfortran-14:
	@mkdir -p gfortran-14
	-(cd gfortran-14 ; gfortran-14 -c ../points.f90 )

gfortran-15:
	@mkdir -p gfortran-15
	-(cd gfortran-15 ; gfortran-15 -c ../points.f90 )

flang-new-18:
	@mkdir -p flang-new-18
	-(cd flang-new-18 ; flang-new-18 -c ../points.f90 )

flang-ext-18:
	@mkdir -p flang-ext-18
	-(cd flang-ext-18 ; flang-to-external-fc -c ../points.f90 )

flang-new-19:
	@mkdir -p flang-new-19
	-(cd flang-new-19 ; flang-new-19 -c ../points.f90 )

flang-new-20:
	@mkdir -p flang-new-20
	-(cd flang-new-20 ; flang-new-20 -c ../points.f90 )

flang-21:
	@mkdir -p flang-21
	-(cd flang-21 ; flang-21 -c ../points.f90 )

lfortran:
	@mkdir -p lfortran
	-(cd lfortran; lfortran -c ../points.f90 )

=== debian/changelog ===
dh-fortran (0.60) unstable; urgency=medium

  * Fix 'dh_fortran_lib get_fc_flags' when stripping elements
  * Fix for bad input to dh_fortran
  * Add 'dh_fortran get_ld_flags'
  * Cope with flang mod files now being Unicode

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Dec 2025 07:37:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dh-fortran
 Section: devel
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,7 @@
 override_dh_auto_build: dh_fortran_mod_old dh_fortran_lib_old
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) -C modfiles all
-	cp -a modfiles build/lib/dhfortran/tests
+	$(MAKE) -C dhfortran/modfiles all
 
 override_dh_installman:
 	PYTHONPATH=$(CURDIR) click-man dh_fortran  --target debian/dh-fortran/usr/share/man/man1
@@ -43,7 +42,7 @@
 	cp -a debian/python3-dhfortran/usr/lib/python3*/dist-packages/dhfortran debian/tmp/usr/share/dh-fortran
 
 override_dh_auto_clean:
-	$(MAKE) -C modfiles clean
+	$(MAKE) -C dhfortran/modfiles clean
 	$(RM) dh_fortran_mod_old
 	$(RM) dh_fortran_lib_old
 	-rm -rf build dh_fortran.egg-info dhfortran/__pycache__ debian/python3-dhfortran

## dh-fortran 0.61

=== debian/changelog ===
dh-fortran (0.61) unstable; urgency=medium

  * dh_fortran_mod, dh_fortran_lib may now operate automatically
  * Fix dh_fortran_lib call
  * Add support for gfortran-16, flang-22
  * Fix tests for all module identification
  * 'dh_fortran get_flibdir' now takes --fc not --flavor
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Now installs original libs by default as well, to avoid disruption

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Jan 2026 16:25:27 +0000

## dh-fortran 0.62

=== dhfortran/tests/Makefile ===
clean:
	$(MAKE) -C test01 reallyclean
	$(MAKE) -C test02 reallyclean

=== debian/changelog ===
dh-fortran (0.62) unstable; urgency=medium

  * Make more robust on bad search paths

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Jan 2026 14:06:22 +0000

=== dhfortran/debian/changelog ===
testsource-dummy (0.47) UNRELEASED; urgency=medium

  * Fix dh_fortran_lib call

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Dec 2025 09:42:53 +0000

testsource-dummy (0.46) experimental; urgency=medium

  * Stuff

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Aug 2025 15:44:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,6 @@
 	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
 	chmod 0755 $@
 
-#dh_fortran_mod.1: dh_fortran_mod
-#	pod2man -r "dh_fortran_mod v$(DEB_VERSION)" -c "dh-fortran-mod" --section=1 $< $@
-
-#dh_fortran_lib.1: dh_fortran_lib
-#	pod2man -r "dh_fortran_lib v$(DEB_VERSION)" -c "dh-fortran-lib" --section=1 $< $@
 
 override_dh_auto_build: dh_fortran_mod_old dh_fortran_lib_old
 override_dh_auto_build:
@@ -28,7 +23,8 @@
 	$(MAKE) -C dhfortran/modfiles all
 
 override_dh_installman:
-	PYTHONPATH=$(CURDIR) click-man dh_fortran  --target debian/dh-fortran/usr/share/man/man1
+        # click-man currently breaks on hidden options
+	#PYTHONPATH=$(CURDIR) click-man dh_fortran  --target debian/dh-fortran/usr/share/man/man1
 	#PYTHONPATH=$(CURDIR) click-man dh_fortran_cmake --target debian/dh-fortran/usr/share/man/man1
 	#PYTHONPATH=$(CURDIR) click-man dh_fortran_pkgconf --target debian/dh-fortran/usr/share/man/man1
 	#PYTHONPATH=$(CURDIR) click-man dh_fortran_mod --target debian/dh-fortran/usr/share/man/man1
@@ -43,6 +39,7 @@
 
 override_dh_auto_clean:
 	$(MAKE) -C dhfortran/modfiles clean
+	$(MAKE) -C dhfortran/tests clean
 	$(RM) dh_fortran_mod_old
 	$(RM) dh_fortran_lib_old
 	-rm -rf build dh_fortran.egg-info dhfortran/__pycache__ debian/python3-dhfortran

## dh-fortran 0.63

=== dhfortran/tests/test02/Makefile ===
# CLeanup

clean:
	rm -rf debian/.debhelper libpoints-1.2.so *.mod *.smod *.o *.a


reallyclean:
	rm -rf debian/.debhelper libpoints-1.2.so *.mod *.smod *.o *.a
	rm -rf ../testsource* ../lib*.deb

points.o:
	$(FC) -c points.f90

build libpoints-1.2.so: points.o
	gcc -shared  -Wl,-soname -Wl,libpoints-1.2.so points.o -o libpoints-1.2.so
	ld -static -o libpoints.a points.o

=== debian/changelog ===
dh-fortran (0.63) unstable; urgency=medium

  * Accept -O properly. Closes: #1125262

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Jan 2026 07:27:30 +0000

=== dhfortran/tests/test01/debian/changelog ===
testsource (1.0) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Jan 2026 08:57:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dh-fortran
 Section: devel
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>
@@ -14,7 +13,7 @@
  python3-pytest <!nocheck>,
  gfortran | fortran-compiler, 
  click-man
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran.git -b debian/latest
 
@@ -47,7 +46,6 @@
 Package: dh-fortran-mod
 Depends: dh-fortran, ${misc:Depends}
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.

=== dhfortran/tests/test01/debian/control ===
Source: testsource
Section: devel
Priority: optional
Maintainer: None
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-fortran
Standards-Version: 4.7.2

Package: libpkg
Architecture: any
Section: libs
Description: Dummy pkg for testing dh-fortran
Depends: ${misc:Depends}, ${fortran:Depends}

Package: libpkg-dev
Architecture: any
Section: libdevel
Description: Devel pkg
Depends: ${misc:Depends}, ${fortran:Depends}

## dh-fortran 0.64

=== debian/changelog ===
dh-fortran (0.64) unstable; urgency=medium

  * Update d/gbp.conf
  * Enable multifortran in buildsystem builds

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Jan 2026 08:33:13 +0000

## dh-fortran 0.65

=== dhfortran/modfiles/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 all: gfortran-14 gfortran-15 flang-new-18 flang-ext-18 flang-new-19 flang-new-20 flang-21 lfortran
-		
+
 clean:
-	rm -rf gfortran-* flang-new-*
+	#rm -rf gfortran-* flang-new-*
+
 
 gfortran-14:
 	@mkdir -p gfortran-14

=== debian/changelog ===
dh-fortran (0.65) unstable; urgency=medium

  * Append -Ifmoddir to get_fc_flags() output
  * Hard-code lfortran mod dir to lfortran-mod-0, rather than per-
    compiler version
  * get_fc_optional() returns a set now, more logical
  * Ensure lfortran flags stripped
  * Append -Lflibdir to get_ld_flags() output
  * Fix delete - do it in perl layer
  * Drop verbose debug statements that break usage. Closes: #1126679

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Jan 2026 18:25:47 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,18 +8,8 @@
 %:
 	dh $@  --buildsystem=pybuild
 
-dh_fortran_mod_old:dh_fortran_mod.in
-	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
-	chmod 0755 $@
 
-dh_fortran_lib_old: dh_fortran_lib.in
-	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
-	chmod 0755 $@
-
-
-override_dh_auto_build: dh_fortran_mod_old dh_fortran_lib_old
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	$(MAKE) -C dhfortran/modfiles all
 
 override_dh_installman:
@@ -40,6 +30,4 @@
 override_dh_auto_clean:
 	$(MAKE) -C dhfortran/modfiles clean
 	$(MAKE) -C dhfortran/tests clean
-	$(RM) dh_fortran_mod_old
-	$(RM) dh_fortran_lib_old
 	-rm -rf build dh_fortran.egg-info dhfortran/__pycache__ debian/python3-dhfortran

=== dhfortran/tests/test01/debian/rules ===
#!/usr/bin/make -f


export DH_VERBOSE=1


%:
	dh $@ --with fortran 


execute_after_dh_auto_clean:
	$(MAKE) clean


override_dh_auto_build:
	dh_auto_build
	$(MAKE) build

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/lib
	cp libpoints.a libpoints.so.1.2 debian/tmp/lib
	ln -s libpoints.so.1.2 debian/tmp/lib/libpoints.so.1
	ln -s libpoints.so.1.2 debian/tmp/lib/libpoints.so

## dh-fortran 0.66

=== debian/changelog ===
dh-fortran (0.66) unstable; urgency=medium

  * missing symlink /etc/alternatives breaks fortran detection

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Feb 2026 06:22:45 +0000

=== dhfortran/debian/control ===
Source: testsource-dummy
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-fortran
Standards-Version: 4.7.2

Package: fortran-pkg
Architecture: any
Section: libs
Description: Dummy pkg for testing dh-fortran
Depends: ${misc:Depends}, ${shlib:Depends}

=== dhfortran/tests/test02/debian/rules ===
#!/usr/bin/make -f


export DH_VERBOSE=1


%:
	dh $@ --with fortran 


execute_after_dh_auto_clean:
	$(MAKE) clean


override_dh_auto_build:
	dh_auto_build
	$(MAKE) build

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/lib
	cp libpoints.a libpoints-1.2.so debian/tmp/lib
	ln -s libpoints-1.2.so debian/tmp/lib/libpoints.so

## dh-fortran 0.67

=== debian/changelog ===
dh-fortran (0.67) unstable; urgency=medium

  * Add default for f77, too, if /etc/alternatives is not set
  * Dont use DEB_BUILD_OPTIONS in d/rules . Closes: #1126889

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Feb 2026 08:21:04 +0000

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=dhfortran
-export DEB_BUILD_OPTIONS:= nocheck
 
 %:
 	dh $@  --buildsystem=pybuild
@@ -31,3 +30,6 @@
 	$(MAKE) -C dhfortran/modfiles clean
 	$(MAKE) -C dhfortran/tests clean
 	-rm -rf build dh_fortran.egg-info dhfortran/__pycache__ debian/python3-dhfortran
+
+override_dh_auto_test:
+	:

## dh-fortran 0.68

=== dhfortran/tests/test01/Makefile ===
# CLeanup

clean:
	rm -rf debian/.debhelper libpoints.so.1.2 *.mod *.smod *.o *.a

reallyclean:
	rm -rf debian/.debhelper libpoints.so.0.2 *.mod *.smod *.o *.a
	rm -rf ../testsource* ../lib*.deb

points.o:
	$(FC) -c points.f90

build libpoints.so.1.2: points.o
	gcc -shared  -Wl,-soname -Wl,libpoints.so.1 points.o -o libpoints.so.1.2
	ld -static -o libpoints.a points.o

=== debian/changelog ===
dh-fortran (0.68) unstable; urgency=medium

  * Fix breakage from bad merge

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Feb 2026 12:59:05 +0000
